<?php
namespace Home\Controller;
use Think\Controller;
class LoginController extends Controller {
    public function index(){
		$mems=D('members');
		$memnum=I('mem_number');
		$password=I('mem_password');
		//var_dump($password);die;
		//var_dump($password);die;
		$where['mem_number']=array('in',$memnum);  
		//echo var_dump($memnum);
		if($memnum){
		$result=$mems->where($where)->find();
		//var_dump($result);die;
		           if($result){
					   //$this->success('账号存在会员账号中');
					   $where['mem_password']=array('in',$password); 
					   $passwords=$mems->where($where)->find(); 
					   if($passwords){
						    //$this->success('',U('Index/index'));
							$this->redirect('Index/index');
						   }else{
							// $this->redirect('index',5,'账号或者密码有误');
							echo "<script type='text/javascript' >alert('登录密码有误')</script>";
							   }
					   }else{
						     $hworker=D('hworker'); 
		                     $where['per_card']=array('in',$memnum);   
							 $cxjg=$hworker->where($where)->find();  
							// var_dump($cxjg);die;
							 if($cxjg){
		                            //  $password=I('mem_password');
									  $mima='gz111';
									   if($password==$mima){
										   	if($mems->create()){
										       if($mems->add()){
											          $this->redirect('Index/index');;
											                    }else{
												     $this->error('登录失败');
												                     }
										                        }
										   }else{
											    // $this->error('密码有误！');
												echo "<script type='text/javascript' >alert('密码有误')</script>"; 
											    }					  
								 }else{
									// $this->error('账号不存在');
								   //$this->redirect('index','账号不存在');
                                     //$hworker->show_msg('账号不存在','index');
									 echo "<script type='text/javascript' >alert('账号不存在有误')</script>";
									 }
						    }
			
			}else{
          // $this->error();
			}
		
		
        $this->display();
    }
	
	
	
	

}


//3. 通过条件去判断，比如大于小于 
 
//查询语句有：gt (大于) lt（小于）  btween（之间） like（模糊查询）  in（查询的就是我们数据中的值）  notin（和in相反，除in之外的值）
 
//where [‘字段名’]=array(表达式，查询条件)；
 
 
//$where['username']=array('like',array(‘%ming’,'xiao%'));                                                            
 //此方法是用模糊查询语句   查找的是 带有ming 和xiao  的数据， 当我们用between的时候我们就不要采用数组了，直接在‘btween’后面加‘1，8’  这样我们就可以查找1~8之间的数。之后再输出语句  :
 
//$data=M(数据表名)->where($where)->select();